/*
 * Copyright (C) 2013 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.android.ide.common.res2;

import com.android.ide.common.resources.configuration.FolderConfiguration;
import com.android.resources.ResourceType;

import junit.framework.TestCase;

import java.io.File;
import java.util.Map;

public class ResourceFileTest extends TestCase {

    public void testKeyWithQualifier() {
        ResourceItem item = new ResourceItem("foo", ResourceType.LAYOUT, null, null);
        ResourceFile file = ResourceFile.createSingle(new File("res/layout-land/foo.xml"), item, "land");

        Map<String, ResourceItem> itemMap = file.getItemMap();
        assertNotNull(itemMap.get("layout-land/foo"));
    }
}
